package com.qmth.themis.mq.enums;

/**
 * @Description: mq group enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/7/28
 */
public enum MqGroupEnum {

    /**
     * web group
     */
    sessionConsumerWebGroup("themis-group-session-web"),

    /**
     * win group
     */
    sessionConsumerWinGroup("themis-group-session-win"),

    /**
     * mac group
     */
    sessionConsumerMacGroup("themis-group-session-mac"),

    /**
     * wxapp group
     */
    sessionConsumerWxappGroup("themis-group-session-wxapp"),

    /**
     * ios group
     */
    sessionConsumerIosGroup("themis-group-session-ios"),

    /**
     * android group
     */
    sessionConsumerAndroidGroup("themis-group-session-android"),

    /**
     * 用户轨迹 user group
     */
    userLogConsumerUserGroup("themis-group-userLog-user"),

    /**
     * 用户轨迹 student group
     */
    userLogConsumerStudentGroup("themis-group-userLog-student"),

    /**
     * 异步任务 考生导入 group
     */
    taskConsumerExamStudentImportGroup("themis-group-task-examStudentImport"),

    /**
     * 异步任务 考场导出 group
     */
    taskConsumerRoomCodeExportGroup("themis-group-task-roomCodeExport"),

    /**
     * 异步任务 考场导入 group
     */
    taskConsumerRoomCodeImportGroup("themis-group-task-roomCodeImport"),

    /**
     * 异步任务 试卷导入 group
     */
    taskConsumerExamPaperImportGroup("themis-group-task-examPaperImport"),

    /**
     * websocket超时退出 考生 group
     */
    websocketUnNormalConsumerOeGroup("themis-group-websocketUnNormal-oe"),

    /**
     * quartz 考场 group
     */
    quartzConsumerExamActivityGroup("themis-group-quartz-examActivity");

    private MqGroupEnum(String code) {
        this.code = code;
    }

    private String code;

    public String getCode() {
        return code;
    }
}
